package com.ruoyi.shipping.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发票从对象 t_fee_invoice
 * 
 * @author ruoyi
 * @date 2021-04-22
 */
public class TFeeInvoice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** t_fee表主键 */
    @Excel(name = "t_fee表主键")
    private Long fPid;

    /** 费用名称 */
    @Excel(name = "费用名称")
    private Long fFeeid;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String fModel;

    /** 单位 */
    @Excel(name = "单位")
    private Long fSbu;

    /** 数量 */
    @Excel(name = "数量")
    private Long fNumber;

    /** 单价（含税） */
    @Excel(name = "单价", readConverterExp = "含=税")
    private BigDecimal fUnitprice;

    /** 金额（含税） */
    @Excel(name = "金额", readConverterExp = "含=税")
    private BigDecimal fMoney;

    /** 税率 */
    @Excel(name = "税率")
    private BigDecimal fTaxrate;

    /** 税额 */
    @Excel(name = "税额")
    private BigDecimal fTax;

    /** 合计金额 */
    @Excel(name = "合计金额")
    private BigDecimal fAmount;

    /** 作废状态（是否） */
    @Excel(name = "作废状态", readConverterExp = "是=否")
    private String fStatus;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fBillstatus;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;
    //费用名称中文
    private String fFeeName;
    //单位名称中文
    private String fSbuName;

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfFeeName() {
        return fFeeName;
    }

    public void setfFeeName(String fFeeName) {
        this.fFeeName = fFeeName;
    }

    public String getfSbuName() {
        return fSbuName;
    }

    public void setfSbuName(String fSbuName) {
        this.fSbuName = fSbuName;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfFeeid(Long fFeeid) 
    {
        this.fFeeid = fFeeid;
    }

    public Long getfFeeid() 
    {
        return fFeeid;
    }
    public void setfModel(String fModel) 
    {
        this.fModel = fModel;
    }

    public String getfModel() 
    {
        return fModel;
    }
    public void setfSbu(Long fSbu) 
    {
        this.fSbu = fSbu;
    }

    public Long getfSbu() 
    {
        return fSbu;
    }
    public void setfNumber(Long fNumber) 
    {
        this.fNumber = fNumber;
    }

    public Long getfNumber() 
    {
        return fNumber;
    }
    public void setfUnitprice(BigDecimal fUnitprice) 
    {
        this.fUnitprice = fUnitprice;
    }

    public BigDecimal getfUnitprice() 
    {
        return fUnitprice;
    }
    public void setfMoney(BigDecimal fMoney) 
    {
        this.fMoney = fMoney;
    }

    public BigDecimal getfMoney() 
    {
        return fMoney;
    }
    public void setfTaxrate(BigDecimal fTaxrate) 
    {
        this.fTaxrate = fTaxrate;
    }

    public BigDecimal getfTaxrate() 
    {
        return fTaxrate;
    }
    public void setfTax(BigDecimal fTax) 
    {
        this.fTax = fTax;
    }

    public BigDecimal getfTax() 
    {
        return fTax;
    }
    public void setfAmount(BigDecimal fAmount) 
    {
        this.fAmount = fAmount;
    }

    public BigDecimal getfAmount() 
    {
        return fAmount;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fFeeid", getfFeeid())
            .append("fModel", getfModel())
            .append("fSbu", getfSbu())
            .append("fNumber", getfNumber())
            .append("fUnitprice", getfUnitprice())
            .append("fMoney", getfMoney())
            .append("fTaxrate", getfTaxrate())
            .append("fTax", getfTax())
            .append("fAmount", getfAmount())
            .append("fStatus", getfStatus())
            .append("fBillstatus", getfBillstatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
